Skip to main content
GET
/
processors
List all processors
curl --request GET \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/processors \
  --header 'Authorization: <api-key>'
{}

List Processors

Retrieve a paginated list of all payment processors.

Endpoint

GET /api/v1/processors

Authentication

Authorization
string
required
Bearer token (Admin JWT)

Query Parameters

limit
integer
default:"50"
Results per page
offset
integer
default:"0"
Pagination offset

Response

{
  "processors": [
    {
      "id": "proc_abc123",
      "name": "Smart PAY Merchant",
      "phone_number": "+23277123456",
      "email": "merchant@smartpay.sl",
      "status": "active",
      "created_at": "2025-01-15T10:30:00Z"
    }
  ],
  "total_count": 25,
  "limit": 50,
  "offset": 0
}

Errors

CodeDescription
401Unauthorized
500Internal server error

Authorizations

Authorization
string
header
required

JWT token from admin login for administrative operations. Format: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'

Query Parameters

limit
integer
default:50

Limit

offset
integer
default:0

Offset

Response

List of processors

The response is of type object.